Subject: bug#60734: 29.0.60; Feature request: use-package-linit as a flymake backend

From: Rah Guzar <[email-masked]>
Date: Wed, 11 Jan 2023 17:38:59 +0100

Dear Emacs developers,
  Since use-package is now part of emacs, it would be nice to be able
  sanity check my use-package declaration in my config us flymake.

  use-package provides `use-package-lint` and I think it can be basis
  of a backend similar to `elisp-flymake-byte-compile.`

  Tangential to this it would also be nice to have an analogue of
  `elisp-flymake-byte-compile` which is more geared towards config
  files instead of elisp-packages.

  If I have missed some functionality already present, please let me
  know.

Thanks!

In GNU Emacs 29.0.60 (build 1, x86_64-suse-linux-gnu, GTK+ Version
 3.24.35, cairo version 1.17.6) of 2023-01-07 built on sheep88
System Description: openSUSE Tumbleweed